<?php

	//Define where you have placed the phptreeview folder.
	define("TREEVIEW_SOURCE", "../../");	 
	
	include(TREEVIEW_SOURCE."treeviewclasses.php"); //Include the phptreeview engine.
	
	session_start();
	
	$xajax = new xajax(); 
	include(TREEVIEW_SOURCE."ajax/ajax.php");	//Enables real-time update. Must be called before any headers or HTML output have been sent.
	$xajax->processRequests();
	
	//Define identify name(s) to your treeview(s); Add more comma separated names to create more than one treeview. The treeview names must always be unique. You cant even use the same treeview names on different php sites. 
	$treeviewid = array("treeviewbasic");
	
	include(TREEVIEW_SOURCE."treeviewcreate.php"); //Creates phptreeview objects.

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
	<head>
		<title>Basic TreeView</title>
		<?php $xajax->printJavascript(TREEVIEW_SOURCE."ajax/framework"); //Enables real-time update. ?>
		
		<!-- some basic css properties to make it look ok -->
		<link href="<?php echo TREEVIEW_SOURCE; ?>css/style.css" rel="stylesheet" type="text/css">
	</head>

	<body>
	
		<?php
			//IMPORTANT! To be able to see the changes you have made to the code you have to clean the session.
			//(By uncomment the line below during one page load). Be sure to comment the line when publishing the treeview, or else the treeview wont remember the old state throu page loads.
			//unset($_SESSION["NodesHasBeenAddedBasic"]); 
		
			if (isset($_SESSION["NodesHasBeenAddedBasic"]) == false)
			{
				//Do only load treeview nodes first time page is loaded.
				
				//If nodes from last session exists, remove them.
				unset($_SESSION["treeviewbasic"]->Nodes);
				
				$node = new TreeNode("1", "Root Folder");		//Create a new node object with id "1" and set the name to "Root Folder".
				$_SESSION["treeviewbasic"]->AddNode($node);		//Add "Root Folder" node to treeview.
				 
				$node = new TreeNode("2", "Folder One");
				$node->SetParentId("1");						//Set "Root Folder" node as parent.
				$_SESSION["treeviewbasic"]->AddNode($node);
				
				$node = new TreeNode("3", "Driver");
				$node->SetParentId("2");						//Set "Folder One" node as parent.
				$_SESSION["treeviewbasic"]->AddNode($node);
		
				//This node shows how to send a variable with the http adress. Supposed to be used when navigating to different sub pages on your homesite.  
				$node = new TreeNode("4", "Reload page/Http adress variable");
				$node->SetParentId("1");										//Set "Root Folder" node as parent.
				$node->AddHttpVariable("defined_variable", "defined_value"); 	//Add a http variable. The result will be index.php?defined_variable=defined_value 
				$_SESSION["treeviewbasic"]->AddNode($node);
				
				$_SESSION["NodesHasBeenAddedBasic"] = true;
			}
			
			$_SESSION["treeviewbasic"]->PrintTreeView();
		?>

		<br/><br/><br/><br/>
		<a href="index.txt" target="_blank"><b>CLICK HERE TO VIEW CODE AS TXT-FILE</b></a>

	</body> 
</html>


