<?php

	//Define where you have placed the phptreeview folder.
	define("TREEVIEW_SOURCE", "../../");	 
	
	include(TREEVIEW_SOURCE."treeviewclasses.php"); //Include the phptreeview engine.
	
	session_start();
	
	$xajax = new xajax(); 
	include(TREEVIEW_SOURCE."ajax/ajax.php");	//Enables real-time update. Must be called before any headers or HTML output have been sent.
	$xajax->processRequests();
	
	//Define identify name(s) to your treeview(s); Add more comma separated names to create more than one treeview. The treeview names must always be unique. You cant even use the same treeview names on different php sites. 
	$treeviewid = array("treeviewone", "treeviewtwo");
	
	include(TREEVIEW_SOURCE."treeviewcreate.php"); //Creates phptreeview objects.

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
	<head>
		<title>Double TreeViews</title>
		<?php $xajax->printJavascript(TREEVIEW_SOURCE."ajax/framework"); //Enables real-time update. ?>
		
		<!-- some basic css properties to make it look ok -->
		<link href="<?php echo TREEVIEW_SOURCE; ?>css/style.css" rel="stylesheet" type="text/css">
	</head>

	<body>
	
		<?php
			//IMPORTANT! To be able to see the changes you have made to the code you have to clean the session.
			//(By uncomment the line below during one page load). Be sure to comment the line when publishing the treeview, or else the treeview wont remember the old state throu page loads.
			//unset($_SESSION["NodesHasBeenAddedDouble"]); 
		
			if (isset($_SESSION["NodesHasBeenAddedDouble"]) == false)
			{
				//Do only load treeview nodes first time page is loaded.
				
				//First TreeView.
				//If nodes from last session exists, remove them.
				unset($_SESSION["treeviewone"]->Nodes);
				
				$node = new TreeNode("1", "TreeView One - Root");		//Create a new node object with id "1" and set the name to "Root Folder".
				$_SESSION["treeviewone"]->AddNode($node);		//Add "Root Folder" node to treeview.
				 
				$node = new TreeNode("2", "TreeView One - Test");
				$node->SetParentId("1");						//Set "Root Folder" node as parent.
				$_SESSION["treeviewone"]->AddNode($node);
				
				
				//Second TreeView.
				//If nodes from last session exists, remove them.
				unset($_SESSION["treeviewtwo"]->Nodes);
				
				$node = new TreeNode("1", "TreeView Two - Root");		//Create a new node object with id "1" and set the name to "Root Folder".
				$_SESSION["treeviewtwo"]->AddNode($node);		//Add "Root Folder" node to treeview.
				 
				$node = new TreeNode("2", "TreeView Two - Test");
				$node->SetParentId("1");						//Set "Root Folder" node as parent.
				$_SESSION["treeviewtwo"]->AddNode($node);

				$_SESSION["NodesHasBeenAddedDouble"] = true;
			}
			
			$_SESSION["treeviewone"]->PrintTreeView();
			
			echo "<br/><br/>";
			
			$_SESSION["treeviewtwo"]->PrintTreeView();
		?>

		<br/><br/><br/><br/>
		<a href="index.txt" target="_blank"><b>CLICK HERE TO VIEW CODE AS TXT-FILE</b></a>

	</body> 
</html>


