<?php

	//Define where you have placed the phptreeview folder.
	define("TREEVIEW_SOURCE", "../../");	 
	
	include(TREEVIEW_SOURCE."treeviewclasses.php"); //Include the phptreeview engine.
	
	session_start();
	
	$xajax = new xajax(); 
	include(TREEVIEW_SOURCE."ajax/ajax.php");	//Enables real-time update. Must be called before any headers or HTML output have been sent.
	$xajax->processRequests();
	
	//Define identify name(s) to your treeview(s); Add more comma separated names to create more than one treeview. The treeview names must always be unique. You cant even use the same treeview names on different php sites. 
	$treeviewid = array("treeviewradiobutton");
	
	include(TREEVIEW_SOURCE."treeviewcreate.php"); //Creates phptreeview objects.

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
	<head>
		<title>RadioButton TreeView</title>
		<?php $xajax->printJavascript(TREEVIEW_SOURCE."ajax/framework"); //Enables real-time update. ?>
		
		<!-- some basic css properties to make it look ok -->
		<link href="<?php echo TREEVIEW_SOURCE; ?>css/style.css" rel="stylesheet" type="text/css">
	</head>
	<body>
	
		<?php
			//IMPORTANT! To be able to see the changes you have made to the code you have to clean the session.
			//(By uncomment the line below during one page load). Be sure to comment the line when publishing the treeview, or else the treeview wont remember the old state throu page loads.
			//unset($_SESSION["NodesHasBeenAddedRadioButton"]); 
		
			if (isset($_SESSION["NodesHasBeenAddedRadioButton"]) == false)
			{
				//Do only load treeview nodes first time page is loaded.
		
				//If nodes from last session exists, remove them.
				unset($_SESSION["treeviewradiobutton"]->Nodes);
				
				//Create and add nodes to the treeview.
				//Always add the root node first. 
				//The order of the other nodes doesnt matter.
				$node = new TreeNode("1", "Root Folder");	//Create a new node object with id "1" and set name to "Root Folder".
				$_SESSION["treeviewradiobutton"]->AddNode($node);		//Add "Root Folder" node to treeview.
				 
				$node = new TreeNode("2", "Color");
				$node->SetParentId("1");					//Set "Root Folder" node as parent.
				$_SESSION["treeviewradiobutton"]->AddNode($node);
				
				$node = new TreeNode("3", "Size");
				$node->SetParentId("1");					//Set "Root Folder" node as parent.
				$_SESSION["treeviewradiobutton"]->AddNode($node);
				
				$node = new TreeNode("4", "Blue");
				$node->SetParentId("2");					//Set "Color" node as parent.
				$node->SetIsRadioButton(true);				//Activate radiobutton.
				$_SESSION["treeviewradiobutton"]->AddNode($node);
		
				$node = new TreeNode("5", "Red");
				$node->SetParentId("2");					//Set "Color" node as parent.
				$node->SetIsRadioButton(true);				//Activate radiobutton.
				$_SESSION["treeviewradiobutton"]->AddNode($node);
		
				$node = new TreeNode("6", "Green");
				$node->SetParentId("2");					//Set "Color" node as parent.
				$node->SetIsRadioButton(true);				//Activate radiobutton.
				$_SESSION["treeviewradiobutton"]->AddNode($node);
		
				$node = new TreeNode("7", "Small");
				$node->SetParentId("3");					//Set "Size" node as parent.
				$node->SetIsRadioButton(true);				//Activate radiobutton.
				$_SESSION["treeviewradiobutton"]->AddNode($node);
		
				$node = new TreeNode("8", "Medium");
				$node->SetParentId("3");					//Set "Size" node as parent.
				$node->SetIsRadioButton(true);				//Activate radiobutton.
				$_SESSION["treeviewradiobutton"]->AddNode($node);
		
				$_SESSION["NodesHasBeenAddedRadioButton"] = true;
			}
		
			//Print the treeview.
			$_SESSION["treeviewradiobutton"]->PrintTreeView();
		
			//Get selected radiobutton nodes and print their names.
			$RadioButtonNodes = array();
			$RadioButtonNodes = $_SESSION["treeviewradiobutton"]->GetSelectedRadioButtonNodes();
		
			if (count($RadioButtonNodes) > 0)
				echo "<br/><br/>Name of selected radiobuttons:<br/><br/>";
			
			for ($i = 0; $i < count($RadioButtonNodes); $i++)
				echo $RadioButtonNodes[$i]->GetName()."<br/>"; 	
		
		?>
	
		<br/><br/><br/><br/>
		<a href="index.php"><b>CLICK HERE TO RETREIVE SELECTED NODES INFORMATION</b></a><br/><br/>
		<a href="index.txt" target="_blank"><b>CLICK HERE TO VIEW CODE AS TXT-FILE</b></a>
	
	</body> 
</html>

