<?php

	//Define where you have placed the phptreeview folder.
	define("TREEVIEW_SOURCE", "../../");	 
	
	include(TREEVIEW_SOURCE."treeviewclasses.php"); //Include the phptreeview engine.
	
	session_start();
	
	$xajax = new xajax(); 
	include(TREEVIEW_SOURCE."ajax/ajax.php");	//Enables real-time update. Must be called before any headers or HTML output have been sent.
	$xajax->processRequests();
	
	//Define identify name(s) to your treeview(s); Add more comma separated names to create more than one treeview. The treeview names must always be unique. You cant even use the same treeview names on different php sites. 
	$treeviewid = array("treeviewurl");
	
	include(TREEVIEW_SOURCE."treeviewcreate.php"); //Creates phptreeview objects.

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
	<head>
		<title>Url TreeView</title>
		<?php $xajax->printJavascript(TREEVIEW_SOURCE."ajax/framework"); //Enables real-time update. ?>
		
		<!-- some basic css properties to make it look ok -->
		<link href="<?php echo TREEVIEW_SOURCE; ?>css/style.css" rel="stylesheet" type="text/css">
	</head>
	<body>
	
		<?php
			//IMPORTANT! To be able to see the changes you have made to the code you have to clean the session.
			//(By uncomment the line below during one page load). Be sure to comment the line when publishing the treeview, or else the treeview wont remember the old state throu page loads.
			//unset($_SESSION["NodesHasBeenAddedUrl"]); 
		
			if (isset($_SESSION["NodesHasBeenAddedUrl"]) == false)
			{
				//Do only load treeview nodes first time page is loaded.
		
				//If nodes from last session exists, remove them.
				unset($_SESSION["treeviewurl"]->Nodes);
				
				//Create and add nodes to the treeview.
				//Always add the root node first. 
				//The order of the other nodes doesnt matter.
				$node = new TreeNode("1", "Root Folder");	//Create a new node object with id "1" and set name to "Root Folder".
				$_SESSION["treeviewurl"]->AddNode($node);	//Add "Root Folder" node to treeview.
				
				$node = new TreeNode("2", "Google.com new browser");
				$node->SetParentId("1");										//Set "sites" node as parent.
				$node->SetExternUrl("http://www.google.com");
				$node->SetClosedImageSource(TREEVIEW_SOURCE."media/url.gif"); 	//This node has no childs, which means its always closed. Therefor you have to change the closed node image to be able to change image.
				$_SESSION["treeviewurl"]->AddNode($node);						//Add "Root Folder" node to treeview.
				
				$node = new TreeNode("3", "Altavista.com same browser");
				$node->SetParentId("1");										//Set "sites" node as parent.
				$node->SetExternUrl("http://www.altavista.com", false);			//False value makes the site open in same window.
				$node->SetClosedImageSource(TREEVIEW_SOURCE."media/url.gif"); 	//This node has no childs, which means its always closed. Therefor you have to change the closed node image to be able to change image.
				$_SESSION["treeviewurl"]->AddNode($node);
		
				//Do only load treeview nodes first time page is loaded.
				$_SESSION["NodesHasBeenAddedUrl"] = true;
			}
		
			//Print the treeview.
			$_SESSION["treeviewurl"]->PrintTreeView();
		
		?>
	
		<br/><br/><br/><br/>
		<a href="index.txt" target="_blank"><b>CLICK HERE TO VIEW CODE AS TXT-FILE</b></a>
	
	</body> 
</html>